Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util
Class Utilities.UnorderableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.openide.util.Utilities.UnorderableException

All Implemented Interfaces:
  Serializable

Enclosing class:
  Utilities

Deprecated. Used only by the deprecated partialSort

    public static class Utilities.UnorderableException

extends RuntimeException

Exception indicating that a given list could not be partially-ordered.

See Also:
  `Utilities.partialSort(java.util.List, java.util.Comparator, boolean)`, Serialized Form

Constructor Summary
`Utilities.UnorderableException(Collection unorderable, Map deps)` Deprecated. Create a new unorderable-list exception with no detail message.
`Utilities.UnorderableException(String message, Collection unorderable, Map deps)` Deprecated. Create a new unorderable-list exception with a specified detail message.

Method Summary
`Map` | `getDeps()` Deprecated. Get the dependencies.
`Collection` | `getUnorderable()` Deprecated. Get the unorderable elements.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Utilities.UnorderableException

    public Utilities.UnorderableException(Collection unorderable,
                                          Map deps)

  Deprecated.
  Create a new unorderable-list exception with no detail message.

  Parameters:
    `unorderable` - a collection of list elements which could not be ordered (because there was some sort of cycle)
    `deps` - dependencies associated with the list; a map from list elements to sets of list elements which that element must appear after

### Utilities.UnorderableException

    public Utilities.UnorderableException(String message,
                                          Collection unorderable,
                                          Map deps)

  Deprecated.
  Create a new unorderable-list exception with a specified detail message.

  Parameters:
    `message` - the detail message
    `unorderable` - a collection of list elements which could not be ordered (because there was some sort of cycle)
    `deps` - dependencies associated with the list; a map from list elements to sets of list elements which that element must appear after

Method Detail

### getUnorderable

    public Collection getUnorderable()

  Deprecated.
  Get the unorderable elements.

  Returns:
    the elements
  See Also:
    `Utilities.UnorderableException(Collection,Map)`

### getDeps

    public Map getDeps()

  Deprecated.
  Get the dependencies.

  Returns:
    the dependencies
  See Also:
    `Utilities.UnorderableException(Collection,Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.